Subject: Re: Mi Mi Sr.'s good-bye message

From: [email-masked]
Date: Thu, 21 Apr 94 15:59:20 CDT

Mi Mi Sr. wrote:

>Take care, my dear lads-l friends! This is my signoff message. Just
>want to say goodbye to everyone. I have enjoyed staying with you,
>and I did have good time.
>
>I will forward any information from INS regarding our petition letter
>to you once I get it.
>
>Goodbye,
>
>Mi Mi Sr.

Dear Mi Mi Sr.:

I hope you still on the lad net for one or two days to check the
response to your good-bye message.

All I want to say is, THANK YOU and the LAD committee for your excellent
work, very valuable information and time.  I believe everybody on this net
has the same feeling.  I really appreciate your effort.

Take care yourselves.

LX